Bug 2741 - (int-67202) pyversions missing in python-minimal package
(int-67202)
: pyversions missing in python-minimal package
Status: RESOLVED INVALID
Product: Development platform
rootstrap
: 4.0
: All Linux
: Low normal (vote)
: ---
Assigned To: Janne Johansson
: sdk-rootstrap-bugs
:
: moreinfo
:
:
  Show dependency tree
 
Reported: 2008-01-09 13:54 UTC by Jaakko Kyrö
Modified: 2009-04-14 12:32 UTC (History)
3 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Jaakko Kyrö (reporter) 2008-01-09 13:54:25 UTC
STEPS TO REPRODUCE THE PROBLEM:

Try to compile a python debian package that uses 
python distutils.mk like

include /usr/share/cdbs/1/class/python-distutils.mk

in debian/rules

EXPECTED OUTCOME:

The package gets built, duh.

ACTUAL OUTCOME:

Output:
make: pyversions: Command not found
make: pyversions: Command not found
/usr/share/cdbs/1/class/python-distutils.mk:183: *** invalid setting in
'debian/pyversions'.  Stop.


REPRODUCIBILITY:
(always/sometimes/once)

always

EXTRA SOFTWARE INSTALLED:

All dependencies required by the package, in particular python2.5-dev

OTHER COMMENTS:

This used to work in bora. Also, using the python-distutils.mk from bora works.
Comment 1 Jacob Strauss nokia 2008-09-20 00:12:12 UTC
(In reply to comment #0)

I've run into the same problem.

/usr/share/cdbs/1/class/python-distutils.mk
tries to call pyversions, which doesn't exist.
Comment 2 Andre Klapper maemo.org 2009-03-24 12:58:36 UTC
Do we officially support Python? Do we ship python-minimal in the SDK? I'm a
bit confused about whether this is a valid bug at all.
Is this issue OBSOLETE or does this still happen with the latest Diablo and/or
Fremantle SDK?

-> moreinfo
Comment 3 Quim Gil nokia 2009-04-14 12:32:39 UTC
Pythion in not officially supported in Maemo and in this sense this bug is
INVALID.

Python support is well covered through http://pymaemo.garage.maemo.org/ and
this bug, if still relevant, should be better raised to them.